Bug 523651 - pulse-java.jar contains unexpected source and object files
Summary: pulse-java.jar contains unexpected source and object files
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Rodney Russ
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-16 10:56 UTC by Marc Schoenefeld
Modified: 2013-02-01 04:59 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:40:59 UTC


Attachments (Terms of Use)

Description Marc Schoenefeld 2009-09-16 10:56:12 UTC
The pulse-java.jar that is part of java-1.6.0-openjdk[1] contains 
unexpected object[2], .c source[3] and .java source[4] files.  

[1]  ]$ rpm -qi java-1.6.0-openjdk | egrep "(Version|Release)"
Version     : 1.6.0.0                           Vendor: Fedora Project
Release     : 27.b16.fc11                   Build Date: Wed 05 Aug 2009 07:52:35 PM CEST

[schonef@localhost ]$ rpm -ql java-1.6.0-openjdk | grep pulse-java
/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/ext/pulse-java.jar
/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/libpulse-java.so

[2] ]$ rpm -ql java-1.6.0-openjdk | grep pulse-java.jar | xargs unzip -t | grep \\.o
    testing: jni-common.o             OK
    testing: org_classpath_icedtea_pulseaudio_PulseAudioSourcePort.o   OK
    testing: org_classpath_icedtea_pulseaudio_Stream.o   OK
    testing: org_classpath_icedtea_pulseaudio_PulseAudioTargetPort.o   OK
    testing: org_classpath_icedtea_pulseaudio_EventLoop.o   OK
    testing: org_classpath_icedtea_pulseaudio_Operation.o   OK

[3] ]$ rpm -ql java-1.6.0-openjdk | grep pulse-java.jar | xargs unzip -t | grep \\.c | grep -v \\.class
    testing: src/native/org_classpath_icedtea_pulseaudio_Operation.c   OK
    testing: src/native/jni-common.c   OK
    testing: src/native/org_classpath_icedtea_pulseaudio_PulseAudioTargetPort.c   OK
    testing: src/native/org_classpath_icedtea_pulseaudio_PulseAudioSourcePort.c   OK
    testing: src/native/org_classpath_icedtea_pulseaudio_PulseAudioStreamVolumeControl.c   OK
    testing: src/native/org_classpath_icedtea_pulseaudio_Stream.c   OK
    testing: src/native/org_classpath_icedtea_pulseaudio_EventLoop.c   OK

[4] ]$ rpm -ql java-1.6.0-openjdk | grep pulse-java.jar | xargs unzip -t | grep \\.java
    testing: src/java/org/classpath/icedtea/pulseaudio/PulseAudioPort.java   OK
    testing: src/java/org/classpath/icedtea/pulseaudio/SecurityWrapper.java   OK
    testing: src/java/org/classpath/icedtea/pulseaudio/PulseAudioSourceDataLine.java   OK
    testing: src/java/org/classpath/icedtea/pulseaudio/PulseAudioPlaybackLine.java   OK
    testing: src/java/org/classpath/icedtea/pulseaudio/Operation.java   OK
    testing: src/java/org/classpath/icedtea/pulseaudio/Stream.java   OK
    testing: src/java/org/classpath/icedtea/pulseaudio/ContextListener.java   OK
    testing: src/java/org/classpath/icedtea/pulseaudio/EventLoop.java   OK
    testing: src/java/org/classpath/icedtea/pulseaudio/PulseAudioVolumeControl.java   OK
    testing: src/java/org/classpath/icedtea/pulseaudio/Debug.java   OK
    testing: src/java/org/classpath/icedtea/pulseaudio/PulseAudioMixerInfo.java   OK
    testing: src/java/org/classpath/icedtea/pulseaudio/PulseAudioDataLine.java   OK
    testing: src/java/org/classpath/icedtea/pulseaudio/ContextEvent.java   OK
    testing: src/java/org/classpath/icedtea/pulseaudio/PulseAudioSourcePort.java   OK
    testing: src/java/org/classpath/icedtea/pulseaudio/PulseAudioTargetDataLine.java   OK
    testing: src/java/org/classpath/icedtea/pulseaudio/PulseAudioTargetPort.java   OK
    testing: src/java/org/classpath/icedtea/pulseaudio/PulseAudioLine.java   OK
    testing: src/java/org/classpath/icedtea/pulseaudio/PulseAudioMixerProvider.java   OK
    testing: src/java/org/classpath/icedtea/pulseaudio/StreamSampleSpecification.java   OK
    testing: src/java/org/classpath/icedtea/pulseaudio/PulseAudioMixer.java   OK
    testing: src/java/org/classpath/icedtea/pulseaudio/StreamBufferAttributes.java   OK
    testing: src/java/org/classpath/icedtea/pulseaudio/PulseAudioClip.java   OK
    testing: unittests/org/classpath/icedtea/pulseaudio/PulseAudioSourcePortTest.java   OK
    testing: unittests/org/classpath/icedtea/pulseaudio/PulseAudioEventLoopOverhead.java   OK
    testing: unittests/org/classpath/icedtea/pulseaudio/PulseAudioTargetDataLineTest.java   OK
    testing: unittests/org/classpath/icedtea/pulseaudio/PulseAudioClipTest.java   OK
    testing: unittests/org/classpath/icedtea/pulseaudio/PulseAudioTargetPortTest.java   OK
    testing: unittests/org/classpath/icedtea/pulseaudio/PulseAudioSourceDataLineTest.java   OK
    testing: unittests/org/classpath/icedtea/pulseaudio/PulseAudioMixerProviderTest.java   OK
    testing: unittests/org/classpath/icedtea/pulseaudio/PulseAudioSourceDataLineRawTest.java   OK
    testing: unittests/org/classpath/icedtea/pulseaudio/PulseAudioMixerRawTest.java   OK
    testing: unittests/org/classpath/icedtea/pulseaudio/OtherSoundProvidersAvailableTest.java   OK
    testing: unittests/org/classpath/icedtea/pulseaudio/PulseAudioMixerTest.java   OK

Comment 1 Fedora Update System 2010-03-13 17:51:50 UTC
java-1.6.0-openjdk-1.6.0.0-33.b17.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-33.b17.fc11

Comment 2 Fedora Update System 2010-03-13 17:54:00 UTC
java-1.6.0-openjdk-1.6.0.0-36.b17.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-36.b17.fc12

Comment 3 Fedora Update System 2010-03-15 09:29:32 UTC
java-1.6.0-openjdk-1.6.0.0-35.b17.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-35.b17.fc13

Comment 4 Fedora Update System 2010-03-16 00:41:13 UTC
java-1.6.0-openjdk-1.6.0.0-33.b17.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2010-03-16 00:45:19 UTC
java-1.6.0-openjdk-1.6.0.0-36.b17.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2010-03-23 23:27:55 UTC
java-1.6.0-openjdk-1.6.0.0-35.b17.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Bug Zapper 2010-04-28 10:24:23 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2010-06-28 14:40:59 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.